# Uses of Interface
org.eclipse.ecf.provider.comm.ISynchAsynchConnection

Packages that use ISynchAsynchConnection
Package
Description
org.eclipse.ecf.provider.comm
org.eclipse.ecf.provider.comm.tcp
org.eclipse.ecf.provider.generic

## Uses of ISynchAsynchConnection in org.eclipse.ecf.provider.comm

Methods in org.eclipse.ecf.provider.comm with parameters of type ISynchAsynchConnection
Modifier and Type
Method
Description
`Serializable`
IConnectRequestHandler.`handleConnectRequest(Socket aSocket, String target, Serializable data, ISynchAsynchConnection conn)`
Handle a connect request from remote client

## Uses of ISynchAsynchConnection in org.eclipse.ecf.provider.comm.tcp

Classes in org.eclipse.ecf.provider.comm.tcp that implement ISynchAsynchConnection
Modifier and Type
Class
Description
`final class`
`Client`
`final class`
`SSLClient`

## Uses of ISynchAsynchConnection in org.eclipse.ecf.provider.generic

Fields in org.eclipse.ecf.provider.generic declared as ISynchAsynchConnection
Modifier and Type
Field
Description
`protected ISynchAsynchConnection`
ClientSOContainer.`connection`
Methods in org.eclipse.ecf.provider.generic that return ISynchAsynchConnection
Modifier and Type
Method
Description
`protected abstract ISynchAsynchConnection`
ClientSOContainer.`createConnection(ID targetID, Object data)`
Create connection instance.
`protected ISynchAsynchConnection`
SSLClientSOContainer.`createConnection(ID remoteSpace, Object data)`
`protected ISynchAsynchConnection`
TCPClientSOContainer.`createConnection(ID remoteSpace, Object data)`
`protected ISynchAsynchConnection`
ClientSOContainer.`getConnection()`
Methods in org.eclipse.ecf.provider.generic with parameters of type ISynchAsynchConnection
Modifier and Type
Method
Description
`protected ContainerMessage`
ServerSOContainer.`acceptNewClient(Socket socket, String target, Serializable data, ISynchAsynchConnection conn)`
`Serializable`
SSLServerSOContainer.`handleConnectRequest(Socket socket, String target, Serializable data, ISynchAsynchConnection conn)`
`Serializable`
TCPServerSOContainer.`handleConnectRequest(Socket socket, String target, Serializable data, ISynchAsynchConnection conn)`